/******************************************************************************
 * Copyright (C) 2004, 2005 Alex Karev.
 *
 * This file is part of gtkpivo library.
 *
 * gtkpivo library is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation version 2.1 of the License.
 *
 * gtkpivo library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with gtkpivo library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 *
 ******************************************************************************/
#ifndef __GTK_IO_FIELD
#define __GTK_IO_FIELD

#include <gtk/gtk.h>
#include <gdk/gdk.h>

G_BEGIN_DECLS

#define GTK_IOFIELD(obj)          GTK_CHECK_CAST (obj, gtk_iofield_get_type (), GtkIOField)
#define GTK_IOFIELD_CLASS(klass)  GTK_CHECK_CLASS_CAST (klass, gtk_iofield_get_type (), GtkIOField)
#define GTK_IS_IOFIELD(obj)       GTK_CHECK_TYPE (obj, gtk_iofield_get_type ())

typedef struct _GtkIOField        GtkIOField;
typedef struct _GtkIOFieldClass   GtkIOFieldClass;

struct _GtkIOField
{
	GtkWidget widget;
	
	GtkAdjustment *adj;

	GdkGC *red_gc, *green_gc, *yellow_gc, *blue_gc;
	GdkGC *line_gc;

	PangoFontDescription *font_label, *font_val;
	PangoLayout *layout_val;

	gchar *label;
};

struct _GtkIOFieldClass
{
	  GtkWidgetClass parent_class;
};

GtkWidget* gtk_iofield_new(GtkAdjustment *adj, const gchar *label );
GtkType        	gtk_iofield_get_type               (void);
GtkAdjustment*	gtk_iofield_get_adjustment(GtkIOField *iofield);
void gtk_iofield_set_adjustment(GtkIOField *iof,
		GtkAdjustment *adj);

G_END_DECLS

#endif

