/******************************************************************************
 * Copyright (C) 2004, 2005 Alex Karev.
 *
 * This file is part of gtkpivo library.
 *
 * gtkpivo library is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation version 2.1 of the License.
 *
 * gtkpivo library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with gtkpivo library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 *
 ******************************************************************************/
/* vim: set ts=4 sw=4 : */
#ifndef __GTK_TAHO_
#define __GTK_TAHO_

#include <gtk/gtk.h>
#include <gdk/gdk.h>

G_BEGIN_DECLS

#define GTK_TAHO(obj)          GTK_CHECK_CAST (obj, gtk_taho_get_type (), GtkTaho)
#define GTK_TAHO_CLASS(klass)  GTK_CHECK_CLASS_CAST (klass, gtk_taho_get_type (), GtkTahoClass)
#define GTK_IS_TAHO(obj)       GTK_CHECK_TYPE (obj, gtk_taho_get_type ())

/*
#define TREND_HISTORY_SIZE 1024
*/

typedef struct _GtkTaho        GtkTaho;
typedef struct _GtkTahoClass   GtkTahoClass;

struct _GtkTaho
{
	GtkWidget widget;
	
	GdkPixmap *bgpix;
	GtkAdjustment *adj;

	/* Current angle */
	gfloat angle;
	gfloat radius;

	gint xc, yc;

	GdkGC *red_gc, *green_gc, *yellow_gc, *blue_gc;
	GdkGC *line_gc;

/*
	gdouble vals[ TREND_HISTORY_SIZE ];
*/

	PangoFontDescription *font_label, *font_val;
	PangoLayout *layout_label_upper, *layout_label_lower, *layout_val;
	gchar *label;
	gchar *val_suffix;
	
};

struct _GtkTahoClass
{
	  GtkWidgetClass parent_class;
};

GtkWidget* gtk_taho_new(GtkAdjustment *adj, const gchar *label, const gchar *val_suffix);
GtkType        	gtk_taho_get_type               (void);
GtkAdjustment*	gtk_taho_get_adjustment(GtkTaho *taho);
void gtk_taho_set_adjustment(GtkTaho *t, GtkAdjustment *adj);

G_END_DECLS

#endif

